spring.messages.encoding=UTF-8

spring.application.name=BookMarket
server.servlet.context-path=/BookMarket

spring.servlet.multipart.enabled=true
spring.servlet.multipart.file-size-threshold=2KB
spring.servlet.multipart.location=C:/upload
spring.servlet.multipart.max-file-size=200MB
spring.servlet.multipart.max-request-size=215MB

file.uploadDir=C:/upload/

logging.config=classpath:logging/log4j2.xml
spring.mvc.hiddenmethod.filter.enabled=true

# 데이터베이스 연결 정보
spring.datasource.url=jdbc:mysql://localhost:3306/bookmarketdb?serverTimezone=Asia/Seoul&useSSL=false
spring.datasource.username=root
spring.datasource.password=2007
spring.datasource.driver-class-name=com.mysql.jdbc.Driver

# JPA 및 Hibernate 설정
spring.jpa.database=mysql
spring.jpa.database-platform=org.hibernate.dialect.MySQL8Dialect
spring.jpa.hibernate.ddl-auto=update 
spring.jpa.generate-ddl=false 
spring.jpa.show-sql=true 
spring.jpa.properties.hibernate.format_sql=true